# Visualization
TKMeshVS
MeshVS

# MeshVS_MapOfTwoNodes Class Reference

`#include <MeshVS_MapOfTwoNodes.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_MapOfTwoNodes (const Standard_Integer NbBuckets=1)
Standard_EXPORT MeshVS_MapOfTwoNodes & | Assign (const MeshVS_MapOfTwoNodes &Other)
MeshVS_MapOfTwoNodes & | operator= (const MeshVS_MapOfTwoNodes &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MeshVS_MapOfTwoNodes ()
Standard_EXPORT Standard_Boolean | Add (const MeshVS_TwoNodes &aKey)
Standard_EXPORT Standard_Boolean | Contains (const MeshVS_TwoNodes &aKey) const
Standard_EXPORT Standard_Boolean | Remove (const MeshVS_TwoNodes &aKey)

## Private Member Functions

Standard_EXPORT | MeshVS_MapOfTwoNodes (const MeshVS_MapOfTwoNodes &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_MapOfTwoNodes::MeshVS_MapOfTwoNodes | ( | const Standard_Integer | NbBuckets = `1` | ) |

MeshVS_MapOfTwoNodes::~MeshVS_MapOfTwoNodes | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_MapOfTwoNodes::MeshVS_MapOfTwoNodes | ( | const MeshVS_MapOfTwoNodes & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean MeshVS_MapOfTwoNodes::Add | ( | const MeshVS_TwoNodes & | aKey | ) |

Standard_EXPORT MeshVS_MapOfTwoNodes& MeshVS_MapOfTwoNodes::Assign | ( | const MeshVS_MapOfTwoNodes & | Other | ) |

Standard_EXPORT void MeshVS_MapOfTwoNodes::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean MeshVS_MapOfTwoNodes::Contains | ( | const MeshVS_TwoNodes & | aKey | ) | const

void MeshVS_MapOfTwoNodes::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_MapOfTwoNodes::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_MapOfTwoNodes::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

MeshVS_MapOfTwoNodes& MeshVS_MapOfTwoNodes::operator= | ( | const MeshVS_MapOfTwoNodes & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean MeshVS_MapOfTwoNodes::Remove | ( | const MeshVS_TwoNodes & | aKey | ) |

Standard_EXPORT void MeshVS_MapOfTwoNodes::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- MeshVS_MapOfTwoNodes.hxx